# PVInstance

PVInstance : `Instance`

## Overview

게임에서 위치와 물리적 좌표를 가지는 객체들의 공통 기반 클래스입니다.

BasePart 및 Model과 같이 공간상에 존재하는 요소들은 모두 이 클래스를 토대로 동작합니다.

## Properties

### Origin

`CFrame`

피벗을 기준으로 한 위치를 나타내는 속성입니다.

이 속성은 스크립트에서 접근할 수 없으며, 에디터에서만 확인할 수 있습니다.

#### Code Samples

### PivotOffsetCFrame

`CFrame`

현재 지원되지 않습니다.

#### Code Samples

## Methods

### GetPivot

현재 지원되지 않습니다.

#### Parameters

#### Return

| `CFrame` | 인스턴스의 피벗 위치와 회전을 나타내는 CFrame을 반환합니다. |
| -------- | ------------------------------------ |

#### Code Samples

### PivotTo

현재 지원되지 않습니다.

#### Parameters

| `CFrame` InTargetCFrame | 인스턴스의 피벗을 이동시킬 목표 CFrame입니다. |
| ----------------------- | ---------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/pvinstance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
